function get_files_struct_count, dataFilePath, structToUse, hasHeader
    HEADER_LENGTH = 32

    if (n_params() EQ 2) then hasHeader = 1

    if (file_exists(dataFilePath) EQ 0) then begin
	; print, 'FLAG: ', dataFilePath, ' does not exist.  No data that day?'
	return, 0
    endif

    structLength = n_tags(structToUse, /LENGTH)

    get_lun, lun
    openr, lun, dataFilePath

    stats = fstat(lun)
    fileLength = stats.size
    if (hasHeader) then							 $
	structsInFileCount = (fileLength - HEADER_LENGTH) / structLength $
    else structsInFileCount = fileLength / structLength
    
    close, lun
    free_lun, lun

    return, structsInFileCount
end
