function get_request_times_for_days_evt_cycles, day1996, instrumentID
    if (instrumentID EQ 'c') then structToUse = {L1CrisEventCycle}	$
    else if (instrumentID EQ 's') then structToUse = {L1SisEventCycle}	$
    else begin
	print, 'getTimesToGetDaysEventCycles: instrumentID = ',		$
		instrumentID, 'invalid.\n\nStopping.\n\n'
	stop
    endelse
    structName = get_struct_name_from_struct(structToUse)
    dataPeriod = get_data_type_period_from_struct_name(structName)

    secondsSince1996 = get_seconds_since_1996_from_day_1996(day1996)
    structs = get_struct(secondsSince1996, structToUse)
    timeStamps = get_time_stamps_of_structs(structs)

	; usually using second 0 on day1996 will be fine for a time to
	; start the list with, but if the 0th struct actually has a
	; time stamp equal to this second 0, it might be best to add a
	; small offset, just to avoid any problems associated with
	; small spacecraft clock glitches (glitches that would cause
	; less than 1 second's worth of a drift over the period of a day.)
    time0 = secondsSince1996
    if (timeStamps[0] EQ secondsSince1996) then time0 = time0 + 10

    secondsSince1996 = get_seconds_since_1996_from_day_1996(day1996 + 1)
    structs = get_struct(secondsSince1996, structToUse)
    timeStamps = get_time_stamps_of_structs(structs)

	; if the next day's initial time stamp is 0 (0th struct is empty),
	; then assign the days 0th second to nextDays0thTimeStamp.  this
	; will work fine for our purposes here...
    if (timeStamps[0] EQ 0) then nextDays0thTimeStamp = secondsSince1996  $
    else nextDays0thTimeStamp = timeStamps[0]

    fullInterval = nextDays0thTimeStamp - time0
    dataIntervalCount = ceil(fullInterval / dataPeriod) + 2

    times = (lindgen(dataIntervalCount) * dataPeriod) + time0

    badIndicies = where(times GE nextDays0thTimeStamp, count)
    if (count GT 0) then times(badIndicies) = 0L

	; this is to chop off all but one of the zeroed times at the
	; end of the list.  this should not be necessary if the users
	; are using this list as instructed in the documentation (look
	; for a zero time to define the end of the list, not at the
	; number of elements in the list.)
    dummy = where(times EQ 0, zeroedTimeCount)
    lastGoodIndex = (dataIntervalCount - 1) - (zeroedTimeCount - 1)
    if (zeroedTimeCount GT 1) then times = times[0:lastGoodIndex]

    return, times
end
