/*
    getDateFromSecondsSince1996 takes a number of seconds,
    starting at 0 for Jan 1, 1996 00:00:00 UTC, and converts it into
    the corresponding UTC year, month, month day, hour, minute, and
    second.

    use:

	int year, month, mday, hour, minute, second;
	struct tm *pTime_str;	* defined in time.h *
	time_t scSecsSinceUTC1996Start;

	scSecsSinceUTC1996Start = 123456L;
	pTime_str =
		getDateFromSecondsSince1996(scSecsSinceUTC1996Start);

	year = pTime_str->tm_year + 1900;	* e.g., year = 1998 *
	month = pTime_str->tm_mon;		* 0 - 11 *
	mday = pTime_str->tm_mday;		* 1 - 31 *
	hour = pTime_str->tm_hour;		* 0 - 23 *
	minute = pTime_str->tm_min;		* 0 - 59 *
	second = pTime_str->tm_sec;		* 0 - 59 *
*/

#include <stdio.h>
#include <time.h>
#include "ace/cvtFromSec1996.h"
#include "AceTime.h"

struct tm tmStruct;

struct tm* getDateFromSecondsSince1996(time_t scSecsSinceUTC1996Start) {
    struct AceTime aceTimeStruct;

	/* use rgr's routine */
    aceTimeStruct = cvtFromSec1996(scSecsSinceUTC1996Start);

    tmStruct.tm_year = aceTimeStruct.year - 1900;
    tmStruct.tm_mon = aceTimeStruct.month - 1;
    tmStruct.tm_mday = aceTimeStruct.day;
    tmStruct.tm_hour = aceTimeStruct.hour;
    tmStruct.tm_min = aceTimeStruct.min;
    tmStruct.tm_sec = aceTimeStruct.sec;

    return &tmStruct;
}
